cURL
curl --request POST \
--url https://api.ttapi.io/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Content-Type: application/json' \
--header 'TT-API-KEY: <api-key>' \
--data '
{
"model": "wan3.0-video",
"input": {
"prompt": "<string>"
},
"parameters": {
"resolution": "1080P",
"ratio": "adaptive",
"duration": 10,
"audio": true,
"seed": 12345,
"prompt_extend": true,
"watermark": false
}
}
'import requests
url = "https://api.ttapi.io/wan/api/v1/services/aigc/video-generation/video-synthesis"
payload = {
"model": "wan3.0-video",
"input": { "prompt": "<string>" },
"parameters": {
"resolution": "1080P",
"ratio": "adaptive",
"duration": 10,
"audio": True,
"seed": 12345,
"prompt_extend": True,
"watermark": False
}
}
headers = {
"TT-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'TT-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'wan3.0-video',
input: {prompt: '<string>'},
parameters: {
resolution: '1080P',
ratio: 'adaptive',
duration: 10,
audio: true,
seed: 12345,
prompt_extend: true,
watermark: false
}
})
};
fetch('https://api.ttapi.io/wan/api/v1/services/aigc/video-generation/video-synthesis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"output": {
"task_status": "PENDING",
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx"
},
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx"
}Wan 3.0
Text to Video
Create text-to-video task
POST
/
wan
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
cURL
This is the Wan 3.0 Video Generation API text-to-video endpoint. Generate video using only prompt, without uploading any media files.
Authorizations
Please visit TTAPI Dashboard to get your API key.
Body
application/json
Text to video request parameters
Model name. Options:
wan3.0-video: Standard version.
Available options:
wan3.0-video Example:
"wan3.0-video"
Input basic information. In text-to-video mode, only provide prompt, no media needed.
Show child attributes
Show child attributes
Video processing parameters.
Show child attributes
Show child attributes
Last modified on August 25, 2026
⌘I